/* $Id: net.h,v 1.21 2005/01/05 12:35:42 rav Exp $ */

/* Intro {{{
 * ---------------------------------------------------------------- 
 *  DConnect Daemon
 * 
 *      #(@) Copyright (c) 2002, DConnect development team
 *      #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 *  This  program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY  or  FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You  should  have  received a copy  of  the GNU General Public
 *  License  along  with  this  program;  if  not,  write  to  the
 *  Free  Software  Foundation,  Inc.,  675  Mass  Ave,  Cambridge,
 *  MA 02139, USA. 
 *
 * ---------------------------------------------------------------- 
 * }}} */

#if !defined( __vXhz__NET_H__INCLUDED__ )
#define __vXhz__NET_H__INCLUDED__

/* something like printf(), but to a socket */
void sendf(fd_set *,struct userrec *usr,const char *fmt,...);

/* receives data from a socket*/
int my_recv(struct userrec *, char **message);


/* this is required, since after disconnect a socket is switched to a TIME_WAIT
   state and the listening port remains occupied for several minutes */
char setsockopts(int sock,unsigned char reuse);

/* send message to public chat window */
void pubmsg(fd_set *,struct userrec *to, const char *fmt, ...);

/* send message to private chat */
void privmsg(fd_set *,struct userrec *to, char *from, const char *fmt, ...);
/* disconnect a user with optional reason message */
void disconnect(fd_set *,struct userrec *usr,char *reason);

/* strip_telnet() - strip telnet codes - from eggdrop {{{ */
void strip_telnet(struct userrec *usr,char *buf,int *len);

#endif /* __vXhz__NET_H__INCLUDED__ */

/* VIM Settings {{{
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * soft-stop-width: 4
 * c indent on
 * End:
 * vim600: sw=4 ts=4 sts=4 cindent fdm=marker
 * vim<600: sw=4 ts=4
 * }}} */

